package com.ynet.life.action;

import com.ynet.gene.core.Context;
import com.ynet.gene.core.GENEException;
import com.ynet.life.base.LifeDBAccess;
import com.ynet.life.base.Trace;
import com.ynet.life.exception.TranFailException;

/* loaded from: com_ynet_life_action.jar:com/ynet/life/action/GetLoanFlowNoAction.class */
public class GetLoanFlowNoAction extends LifeJDBCAction {
    public String sequenceName;
    public String fieldName;
    public String prefix;
    public String aftfix;
    private static final String ERROR_CODE_POOL = "EBLN0011";

    public String execute(Context context) throws GENEException {
        try {
            if (this.sequenceName == null || "".equals(this.sequenceName)) {
                throw new TranFailException(ERROR_CODE_POOL, "sequence名称不能为空");
            }
            if (this.fieldName == null || "".equals(this.fieldName)) {
                throw new TranFailException(ERROR_CODE_POOL, "存储sequence域不能为空");
            }
            String sequenceNo = LifeDBAccess.getSequenceNo(context, this.sequenceName);
            if (this.aftfix != null && this.aftfix.length() > 0) {
                sequenceNo = String.format("%0" + this.aftfix + "d", Integer.valueOf(Integer.parseInt(sequenceNo)));
            }
            if (this.prefix != null && this.prefix.length() > 0) {
                sequenceNo = context.getDataValue(this.prefix) + sequenceNo;
            }
            context.setDataValue(this.fieldName, sequenceNo);
            return "0";
        } catch (GENEException empe) {
            Trace.logError("LifeAction", empe.getMessage(), empe);
            throw empe;
        }
    }

    public void setAftfix(String aftfix) {
        this.aftfix = aftfix;
    }

    public void setSequenceName(String sequenceName) {
        this.sequenceName = sequenceName;
    }

    public void setFieldName(String fieldName) {
        this.fieldName = fieldName;
    }

    public void setPrefix(String prefix) {
        this.prefix = prefix;
    }
}
